Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(11)

Issue 2773803002: Revert of WebRTC: Use the MediaStream Recording API for the audio_quality_browsertest. (Closed)

Created:
1 year, 8 months ago by ehmaldonado_chromium
Modified:
1 year, 8 months ago
CC:
chromium-reviews, chfremer+watch_chromium.org, phoglund+watch_chromium.org, feature-media-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Revert of WebRTC: Use the MediaStream Recording API for the audio_quality_browsertest. (patchset #8 id:140001 of https://codereview.chromium.org/2753543010/ ) Reason for revert: This might be causing failures in Win7 bots: https://build.chromium.org/p/chromium.webrtc/builders/Win7%20Tester/builds/34106 Original issue's description: > WebRTC: Use the MediaStream Recording API for the audio_quality_browsertest. > > This CL uses the MediaStream Recording API to record the audio received > by the right tag. It saves it as a webm file that is later converted to a > wav file using ffmpeg. > > This might cause a performance regression because we're using webm+ffmpeg > to generate the wav file. I set a, hopefully high enough, bitrate to > mitigate this > > BUG=chromium:681577 > NOTRY=True > > Review-Url: https://codereview.chromium.org/2753543010 > Cr-Commit-Position: refs/heads/master@{#459050} > Committed: https://chromium.googlesource.com/chromium/src/+/a0a47bfebb016ec468bc6d1b4be9b1acb22a4075 TBR=kjellander@chromium.org,hbos@chromium.org,mcasas@chromium.org # Skipping CQ checks because original CL landed less than 1 days ago. NOPRESUBMIT=true NOTREECHECKS=true NOTRY=true BUG=chromium:681577 Review-Url: https://codereview.chromium.org/2773803002 Cr-Commit-Position: refs/heads/master@{#459234} Committed: https://chromium.googlesource.com/chromium/src/+/e512d162ed486a0a9f71a1e20e3cde8fb20255e1

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+212 lines, -170 lines) Patch
M chrome/browser/media/webrtc/webrtc_audio_quality_browsertest.cc View 17 chunks +211 lines, -107 lines 0 comments Download
D chrome/test/data/webrtc/audio_extraction.js View 1 chunk +0 lines, -62 lines 0 comments Download
A chrome/test/data/webrtc/resources/force_mic_volume_max.exe.sha1 View 1 chunk +1 line, -0 lines 0 comments Download
M chrome/test/data/webrtc/webrtc_audio_quality_test.html View 1 chunk +0 lines, -1 line 0 comments Download

Messages

Total messages: 13 (5 generated)
ehmaldonado_chromium
Created Revert of WebRTC: Use the MediaStream Recording API for the audio_quality_browsertest.
1 year, 8 months ago (2017-03-23 18:52:38 UTC) #2
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2773803002/1
1 year, 8 months ago (2017-03-23 18:53:26 UTC) #3
commit-bot: I haz the power
No L-G-T-M from a valid reviewer yet. CQ run can only be started once the ...
1 year, 8 months ago (2017-03-23 18:53:28 UTC) #5
ehmaldonado_chromium
On 2017/03/23 18:53:28, commit-bot: I haz the power wrote: > No L-G-T-M from a valid ...
1 year, 8 months ago (2017-03-23 18:58:15 UTC) #6
mcasas
lgtm
1 year, 8 months ago (2017-03-23 21:36:25 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2773803002/1
1 year, 8 months ago (2017-03-23 21:36:52 UTC) #9
commit-bot: I haz the power
Committed patchset #1 (id:1) as https://chromium.googlesource.com/chromium/src/+/e512d162ed486a0a9f71a1e20e3cde8fb20255e1
1 year, 8 months ago (2017-03-23 21:40:15 UTC) #12
ehmaldonado_chromium
1 year, 8 months ago (2017-03-24 12:02:52 UTC) #13
Message was sent while issue was closed.
A revert of this CL (patchset #1 id:1) has been created in
https://codereview.chromium.org/2773083002/ by ehmaldonado@chromium.org.

The reason for reverting is: Investigating....

Powered by Google App Engine
This is Rietveld 408576698